Subject: Re: Need for Cross Platform Updates Distribution

From: Michel Dänzer <[email-masked]>
Date: Mon, 19 Jun 2000 10:35:50 +0200

Hollis Blanchard wrote:
>
> Bryan Stillwell wrote:
> >
> > I've never used suse personally, but I've tried using a
> > suse rpm witha redhat installation and it just screwed everything up.
>
> I look at that as trying to install an OS/2 binary onto a Windows box
> (and then complaining that it doesn't work).

Huh??? We are speaking about the same binaries for the same OS, but packaged
in an incompatible manner.

> > Also, what's this about suse using /opt for kde and gnome? sn't
> > /opt in the filesystem standard for commercial software only?
>
> It all depends on what "standard" you're using.

Check out FHS (http://www.pathname.com/fhs/), which is an affiliated project
of The Free Standards Group.

Debian is already mostly FHS conformant and aiming to be fully so AFAIK.

> I should also note that Debian packages also don't work well with other
> distributions.

But at least there aren't incompatible flavours of debs - you find a deb
somewhere, you install it, it works.

Michel

--
Why drink & drive when you can smoke and fly???
______________________________________________________________________________
Earthling Michel Dänzer (MrCooper)  \  CS student and free software enthusiast
Debian GNU/Linux (powerpc,i386) user \   member of XFree86, Team *AMIGA*, AUGS

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/